nxt

## Class Alias

- java.lang.Object
- - nxt.Alias

-     public final class Alias
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Alias.Offer`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getAccountAliasCount(long accountId)`
    `long` | `getAccountId()`
    `static Alias` | `getAlias(long id)`
    `static Alias` | `getAlias(java.lang.String aliasName)`
    `static DbIterator<Alias>` | `getAliasesByOwner(long accountId, int from, int to)`
    `static DbIterator<Alias>` | `getAliasesLike(java.lang.String aliasName, int from, int to)`
    `java.lang.String` | `getAliasName()`
    `java.lang.String` | `getAliasURI()`
    `static int` | `getCount()`
    `long` | `getId()`
    `static Alias.Offer` | `getOffer(Alias alias)`
    `int` | `getTimestamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getAccountAliasCount

          public static int getAccountAliasCount(long accountId)

    - #### getAliasesByOwner

          public static DbIterator<Alias> getAliasesByOwner(long accountId,
                                                            int from,
                                                            int to)

    - #### getAlias

          public static Alias getAlias(java.lang.String aliasName)

    - #### getAliasesLike

          public static DbIterator<Alias> getAliasesLike(java.lang.String aliasName,
                                                         int from,
                                                         int to)

    - #### getAlias

          public static Alias getAlias(long id)

    - #### getOffer

          public static Alias.Offer getOffer(Alias alias)

    - #### getId

          public long getId()

    - #### getAliasName

          public java.lang.String getAliasName()

    - #### getAliasURI

          public java.lang.String getAliasURI()

    - #### getTimestamp

          public int getTimestamp()

    - #### getAccountId

          public long getAccountId()